Bug 191653

Summary: [Curl] Report all request headers to web inspector.
Product: WebKit Reporter: Basuke Suzuki <Basuke.Suzuki>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: Basuke.Suzuki, commit-queue, don.olmstead, ews-watchlist, galpeter, Hironori.Fujii, knmori.takashi, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Basuke Suzuki 2018-11-14 13:01:49 PST
libcurl silently add some headers and those are not displayed in Web Inspector.
Comment 1 Takashi Komori 2019-06-05 01:00:09 PDT
Created attachment 371380 [details]
Patch
Comment 2 Takashi Komori 2019-06-05 01:01:28 PDT
We should add resource-request-headers-expected.txt for WinCairo platform because output strings between DRT and WebKitTestRunner are slight different.
WebKitTestRunner adds extra authentication scheme string in TestController::didReceiveAuthenticationChallenge.

Added resource-request-headers-expected.txt is the same as the result of gtk port.
Comment 3 Fujii Hironori 2019-06-05 02:29:42 PDT
Comment on attachment 371380 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=371380&action=review

> Source/WebCore/ChangeLog:8
> +        LayoutTests/http/tests/inspector/network/resource-request-headers.html

Add 'Tests:'.
Remove 'LayoutTests/'.

> Source/WebCore/platform/network/curl/CurlRequest.cpp:509
> +        for (auto header : headerFields) {

Use 'auto&' to avoid unnecessary ref-ing.
Comment 4 Takashi Komori 2019-06-05 18:04:56 PDT
Created attachment 371462 [details]
Patch
Comment 5 Takashi Komori 2019-06-05 18:07:03 PDT
(In reply to Fujii Hironori from comment #3)
> Comment on attachment 371380 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=371380&action=review
> 
> > Source/WebCore/ChangeLog:8
> > +        LayoutTests/http/tests/inspector/network/resource-request-headers.html
> 
> Add 'Tests:'.
> Remove 'LayoutTests/'.

Fixed.

> > Source/WebCore/platform/network/curl/CurlRequest.cpp:509
> > +        for (auto header : headerFields) {
> 
> Use 'auto&' to avoid unnecessary ref-ing.

Fixed.
Comment 6 WebKit Commit Bot 2019-06-05 20:55:19 PDT
Comment on attachment 371462 [details]
Patch

Clearing flags on attachment: 371462

Committed r246143: <https://trac.webkit.org/changeset/246143>
Comment 7 WebKit Commit Bot 2019-06-05 20:55:20 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2019-06-05 20:56:17 PDT
<rdar://problem/51468215>
Comment 9 Fujii Hironori 2019-06-12 23:37:03 PDT
Comment on attachment 371462 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=371462&action=review

> LayoutTests/platform/wincairo/TestExpectations:896
> +http/tests/inspector/network/resource-request-headers.html [ Pass ]

http/tests/inspector/network/resource-request-headers.html is timing out on BuildBot.
https://build.webkit.org/results/WinCairo%2064-bit%20WKL%20Release%20(Tests)/r246388%20(4218)/results.html